> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Application metadata including all editing sessions



## OpenAPI

````yaml /api-reference/4.2/service-webapps.json post /webapps
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps
paths:
  /webapps:
    post:
      tags:
        - 4.2 Webapps API
      summary: Import Application metadata including all editing sessions
      operationId: importApp
      requestBody:
        content:
          application/vnd.lucidworks-appkit-export+json:
            schema:
              $ref: '#/components/schemas/AppkitAppExportContainer'
        description: Application metadata
      responses:
        default:
          description: successful operation
      deprecated: true
components:
  schemas:
    AppkitAppExportContainer:
      type: object
      properties:
        appkitApp:
          $ref: '#/components/schemas/AppkitApp'
        editingSessions:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/EditingSession'
    AppkitApp:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        contextPath:
          type: string
          readOnly: true
        enabled:
          type: boolean
          readOnly: true
          default: false
        war:
          type: string
          readOnly: true
        warMd5:
          type: string
          readOnly: true
        warSize:
          type: integer
          format: int64
          readOnly: true
        type:
          type: string
          readOnly: true
    EditingSession:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        owner:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
          readOnly: true
        version:
          type: string

````